Functions
Functions
Peripheral Driver » LL Driver » AVDS

## Functions
__STATIC_INLINE void | ll_advs_dcdc_enable_set (uint8_t enable)
| The ADVS_DCDC block enable set. More...
__STATIC_INLINE uint8_t | ll_advs_dcdc_enable_get (void)
| The ADVS_DCDC block enable get. More...
__STATIC_INLINE void | ll_advs_dcdc_vtbias_slop_ctrl_set (uint8_t type)
| The ADVS_DCDC's Slop Control type set. More...
__STATIC_INLINE uint8_t | ll_advs_dcdc_vtbias_slop_ctrl_get (void)
| The ADVS_DCDC's Slop Control type get. More...
__STATIC_INLINE void | ll_advs_dcdc_limiter_enable_set (uint8_t enable)
| The ADVS_DCDC's Lower Limit Control enable set. More...
__STATIC_INLINE uint8_t | ll_advs_dcdc_limiter_enable_get (void)
| The ADVS_DCDC's Lower Limit Control enable get. More...
__STATIC_INLINE void | ll_advs_dcdc_vtbias_ctrl_vt_set (uint8_t vt)
| The ADVS_DCDC's default level value of the VT bias set. More...
__STATIC_INLINE uint8_t | ll_advs_dcdc_vtbias_ctrl_vt_get (void)
| The ADVS_DCDC's default level value of the VT bias get. More...
__STATIC_INLINE void | ll_advs_dcdc_vtbias_ctrl_lower_limit_set (uint8_t limit)
| The ADVS_DCDC's lower limit for the output voltage set. More...
__STATIC_INLINE uint8_t | ll_advs_dcdc_vtbias_ctrl_lower_limit_get (void)
| The ADVS_DCDC's lower limit for the output voltage get. More...
__STATIC_INLINE void | ll_advs_digcore_enable_set (uint8_t enable)
| The ADVS_DIGCORE block enable set. More...
__STATIC_INLINE uint8_t | ll_advs_digcore_enable_get (void)
| The ADVS_DIGCORE block enable get. More...
__STATIC_INLINE void | ll_advs_digcore_vtbias_slop_ctrl_set (uint8_t type)
| The ADVS_DIGCORE's Slop Control type set. More...
__STATIC_INLINE uint8_t | ll_advs_digcore_vtbias_slop_ctrl_get (void)
| The ADVS_DIGCORE's Slop Control type get. More...
__STATIC_INLINE void | ll_advs_digcore_limiter_enable_set (uint8_t enable)
| The ADVS_DIGCORE's Lower Limit Control enable set. More...
__STATIC_INLINE uint8_t | ll_advs_digcore_limiter_enable_get (void)
| The ADVS_DIGCORE's Lower Limit Control enable get. More...
__STATIC_INLINE void | ll_advs_digcore_vtbias_ctrl_vt_set (uint8_t vt)
| The ADVS_DIGCORE's default level value of the VT bias set. More...
__STATIC_INLINE uint8_t | ll_advs_digcore_vtbias_ctrl_vt_get (void)
| The ADVS_DIGCORE's default level value of the VT bias get. More...
__STATIC_INLINE void | ll_advs_digcore_vtbias_ctrl_lower_limit_set (uint8_t limit)
| The ADVS_DIGCORE's lower limit for the output voltage set. More...
__STATIC_INLINE uint8_t | ll_advs_digcore_vtbias_ctrl_lower_limit_get (void)
| The ADVS_DIGCORE's lower limit for the output voltage get. More...

## Detailed Description

## Function Documentation

## ◆ ll_advs_dcdc_enable_get()

__STATIC_INLINE uint8_t ll_advs_dcdc_enable_get | ( | void |  | ) |

The ADVS_DCDC block enable get.

Register|BitsName --------|-------- ADVS_DCDC | EN_VTBIAS

Definition at line 110 of file gr55xx_ll_advs.h.

## ◆ ll_advs_dcdc_enable_set()

__STATIC_INLINE void ll_advs_dcdc_enable_set | ( | uint8_t | enable | ) |

The ADVS_DCDC block enable set.

Register|BitsName --------|-------- ADVS_DCDC | EN_VTBIAS

Definition at line 98 of file gr55xx_ll_advs.h.

## ◆ ll_advs_dcdc_limiter_enable_get()

__STATIC_INLINE uint8_t ll_advs_dcdc_limiter_enable_get | ( | void |  | ) |

The ADVS_DCDC's Lower Limit Control enable get.

Register|BitsName --------|-------- ADVS_DCDC | EN_LIMITER

Definition at line 158 of file gr55xx_ll_advs.h.

## ◆ ll_advs_dcdc_limiter_enable_set()

__STATIC_INLINE void ll_advs_dcdc_limiter_enable_set | ( | uint8_t | enable | ) |

The ADVS_DCDC's Lower Limit Control enable set.

Register|BitsName --------|-------- ADVS_DCDC | EN_LIMITER

Definition at line 146 of file gr55xx_ll_advs.h.

## ◆ ll_advs_dcdc_vtbias_ctrl_lower_limit_get()

__STATIC_INLINE uint8_t ll_advs_dcdc_vtbias_ctrl_lower_limit_get | ( | void |  | ) |

The ADVS_DCDC's lower limit for the output voltage get.

Register|BitsName --------|-------- ADVS_DCDC | VTBIAS_CTRL_VT_2_0

Definition at line 206 of file gr55xx_ll_advs.h.

## ◆ ll_advs_dcdc_vtbias_ctrl_lower_limit_set()

__STATIC_INLINE void ll_advs_dcdc_vtbias_ctrl_lower_limit_set | ( | uint8_t | limit | ) |

The ADVS_DCDC's lower limit for the output voltage set.

Register|BitsName --------|-------- ADVS_DCDC | VTBIAS_CTRL_VT_2_0

Definition at line 194 of file gr55xx_ll_advs.h.

## ◆ ll_advs_dcdc_vtbias_ctrl_vt_get()

__STATIC_INLINE uint8_t ll_advs_dcdc_vtbias_ctrl_vt_get | ( | void |  | ) |

The ADVS_DCDC's default level value of the VT bias get.

Register|BitsName --------|-------- ADVS_DCDC | VTBIAS_CTRL_VT_2_0

Definition at line 182 of file gr55xx_ll_advs.h.

## ◆ ll_advs_dcdc_vtbias_ctrl_vt_set()

__STATIC_INLINE void ll_advs_dcdc_vtbias_ctrl_vt_set | ( | uint8_t | vt | ) |

The ADVS_DCDC's default level value of the VT bias set.

Register|BitsName --------|-------- ADVS_DCDC | VTBIAS_CTRL_VT_2_0

Definition at line 170 of file gr55xx_ll_advs.h.

## ◆ ll_advs_dcdc_vtbias_slop_ctrl_get()

__STATIC_INLINE uint8_t ll_advs_dcdc_vtbias_slop_ctrl_get | ( | void |  | ) |

The ADVS_DCDC's Slop Control type get.

Register|BitsName --------|-------- ADVS_DCDC | VTBIAS_SLOPE_CTRL

Definition at line 134 of file gr55xx_ll_advs.h.

## ◆ ll_advs_dcdc_vtbias_slop_ctrl_set()

__STATIC_INLINE void ll_advs_dcdc_vtbias_slop_ctrl_set | ( | uint8_t | type | ) |

The ADVS_DCDC's Slop Control type set.

Register|BitsName --------|-------- ADVS_DCDC | VTBIAS_SLOPE_CTRL

Definition at line 122 of file gr55xx_ll_advs.h.

## ◆ ll_advs_digcore_enable_get()

__STATIC_INLINE uint8_t ll_advs_digcore_enable_get | ( | void |  | ) |

The ADVS_DIGCORE block enable get.

Register|BitsName --------|-------- ADVS_DIGCORE | EN_VTBIAS

Definition at line 230 of file gr55xx_ll_advs.h.

## ◆ ll_advs_digcore_enable_set()

__STATIC_INLINE void ll_advs_digcore_enable_set | ( | uint8_t | enable | ) |

The ADVS_DIGCORE block enable set.

Register|BitsName --------|-------- ADVS_DIGCORE | EN_VTBIAS

Definition at line 218 of file gr55xx_ll_advs.h.

## ◆ ll_advs_digcore_limiter_enable_get()

__STATIC_INLINE uint8_t ll_advs_digcore_limiter_enable_get | ( | void |  | ) |

The ADVS_DIGCORE's Lower Limit Control enable get.

Register|BitsName --------|-------- ADVS_DIGCORE | EN_LIMITER

Definition at line 278 of file gr55xx_ll_advs.h.

## ◆ ll_advs_digcore_limiter_enable_set()

__STATIC_INLINE void ll_advs_digcore_limiter_enable_set | ( | uint8_t | enable | ) |

The ADVS_DIGCORE's Lower Limit Control enable set.

Register|BitsName --------|-------- ADVS_DIGCORE | EN_LIMITER

Definition at line 266 of file gr55xx_ll_advs.h.

## ◆ ll_advs_digcore_vtbias_ctrl_lower_limit_get()

__STATIC_INLINE uint8_t ll_advs_digcore_vtbias_ctrl_lower_limit_get | ( | void |  | ) |

The ADVS_DIGCORE's lower limit for the output voltage get.

Register|BitsName --------|-------- ADVS_DIGCORE | VTBIAS_CTRL_VT_2_0

Definition at line 326 of file gr55xx_ll_advs.h.

## ◆ ll_advs_digcore_vtbias_ctrl_lower_limit_set()

__STATIC_INLINE void ll_advs_digcore_vtbias_ctrl_lower_limit_set | ( | uint8_t | limit | ) |

The ADVS_DIGCORE's lower limit for the output voltage set.

Register|BitsName --------|-------- ADVS_DIGCORE | VTBIAS_CTRL_VT_2_0

Definition at line 314 of file gr55xx_ll_advs.h.

## ◆ ll_advs_digcore_vtbias_ctrl_vt_get()

__STATIC_INLINE uint8_t ll_advs_digcore_vtbias_ctrl_vt_get | ( | void |  | ) |

The ADVS_DIGCORE's default level value of the VT bias get.

Register|BitsName --------|-------- ADVS_DIGCORE | VTBIAS_CTRL_VT_2_0

Definition at line 302 of file gr55xx_ll_advs.h.

## ◆ ll_advs_digcore_vtbias_ctrl_vt_set()

__STATIC_INLINE void ll_advs_digcore_vtbias_ctrl_vt_set | ( | uint8_t | vt | ) |

The ADVS_DIGCORE's default level value of the VT bias set.

Register|BitsName --------|-------- ADVS_DIGCORE | VTBIAS_CTRL_VT_2_0

Definition at line 290 of file gr55xx_ll_advs.h.

## ◆ ll_advs_digcore_vtbias_slop_ctrl_get()

__STATIC_INLINE uint8_t ll_advs_digcore_vtbias_slop_ctrl_get | ( | void |  | ) |

The ADVS_DIGCORE's Slop Control type get.

Register|BitsName --------|-------- ADVS_DIGCORE | VTBIAS_SLOPE_CTRL

Definition at line 254 of file gr55xx_ll_advs.h.

## ◆ ll_advs_digcore_vtbias_slop_ctrl_set()

__STATIC_INLINE void ll_advs_digcore_vtbias_slop_ctrl_set | ( | uint8_t | type | ) |

The ADVS_DIGCORE's Slop Control type set.

Register|BitsName --------|-------- ADVS_DIGCORE | VTBIAS_SLOPE_CTRL

Definition at line 242 of file gr55xx_ll_advs.h.